<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- iassistproposal.cpp -->
  <title>Code Assist for Editors | Extending Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="extending-index.html">Extending Qt Creator Manual</a></td><td >Code Assist for Editors</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="extending-index.html">Extending Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Code Assist for Editors</h1>
<span class="subtitle"></span>
<!-- $$$CodeAssist-description -->
<div class="descr"> <a name="details"></a>
<p>Code assist is available in the form of completions and refactoring actions pop-ups which are triggered under particular circumstances. This group contains the classes used to provide such support.</p>
<p>Completions can be of a variety of kind like function hints, snippets, and regular context-aware content. The later are usually represented by semantic proposals, but it is also possible that they are simply plain text like in the fake vim mode.</p>
<p>Completions also have the possibility to run asynchronously in a separate thread and then not blocking the GUI. This is the default behavior.</p>
</div>
<!-- @@@CodeAssist -->
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
